Bug 1715554 (CVE-2019-12382) - CVE-2019-12382 kernel: unchecked kstrdup of fwstr in drm_load_edid_firmware leads to denial of service
Summary: CVE-2019-12382 kernel: unchecked kstrdup of fwstr in drm_load_edid_firmware l...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-12382
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1715556 1732708 1732709 1732710 1732711 1732712 1828301 1828303
Blocks: 1715563
TreeView+ depends on / blocked
 
Reported: 2019-05-30 16:20 UTC by msiddiqu
Modified: 2020-06-17 12:24 UTC (History)
44 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel’s implementation of Extended Display Identification Data (EDID) technology. A firmware identifier string is duplicated with the kstrdup function, and the allocation may fail under very low memory conditions. An attacker could abuse this flaw by causing a Denial of Service and crashing the system.
Clone Of:
Environment:
Last Closed: 2020-03-31 22:34:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1016 None None None 2020-03-31 19:11:36 UTC
Red Hat Product Errata RHSA-2020:1070 None None None 2020-03-31 19:20:48 UTC
Red Hat Product Errata RHSA-2020:2522 None None None 2020-06-11 02:10:06 UTC

Description msiddiqu 2019-05-30 16:20:03 UTC
An issue was discovered in the Linux kernels implementation of Extended Display Identification Data (EDID) technology.
An attacker with local access could cause a system under severe memory pressure to create a null pointer dereference when plugging in a monitor.


An firmware identifier string is duplicated with the kstrdup function, and the allocation may fail under very low memory conditions. This may allow an attacker to crash the system  causing a denial of service (NULL pointer dereference)

The conditions under which this flaw would take place are unlikely and it likely that the system OOMkiller would free available memory before the low memory condition to exploit this flaw is met.

Upstream patch: 

https://cgit.freedesktop.org/drm/drm-misc/commit/?id=9f1f1a2dab38d4ce87a13565cf4dc1b73bef3a5f

References:  

https://lkml.org/lkml/2019/5/24/843

Comment 1 msiddiqu 2019-05-30 16:20:31 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1715556]

Comment 6 errata-xmlrpc 2020-03-31 19:11:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1016 https://access.redhat.com/errata/RHSA-2020:1016

Comment 7 errata-xmlrpc 2020-03-31 19:20:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1070 https://access.redhat.com/errata/RHSA-2020:1070

Comment 8 Product Security DevOps Team 2020-03-31 22:34:16 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-12382

Comment 12 errata-xmlrpc 2020-06-11 02:10:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.7 Extended Update Support

Via RHSA-2020:2522 https://access.redhat.com/errata/RHSA-2020:2522


Note You need to log in before you can comment on or make changes to this bug.